FC2ブログ

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Eclipseのエラー

Eclipseを動かしていて、アプリを実行しようとしたら
The launch will only sync the application package on the device!
というエラーが出てしまい、アプリが起動できなかったので、調べてみたら
「情報科学屋さんを目指す人のメモ」というサイトに詳しく対処法がでていました。
「Androidアプリで最初に呼び出されるクラスを用意するまでのエラーとその対策メモ」というページに詳しく書かれています

AndroidManifest.xmlのトップActivityの所にIntent Filterと
android.intent.action.MAIN
android.intent.category.LAUNCHER
がないことが原因でした。

追加したところ、起動できました。
Eclipseでエラーが出ては、検索して調べて直すの繰り返しです。

スポンサーサイト

テーマ : androidアプリ
ジャンル : 携帯電話・PHS

プロフィール
ナンプレをメインに更新しています このブログはリンクフリーです

チョコ

Author:チョコ
FC2ブログへようこそ!
こちらではナンプレのFlash問題を公開しています
また、ナンプレのAndroidアプリも公開しています

Androidアプリ
今まで作成したアプリです
最新記事
カテゴリ
月別アーカイブ
数独通信
数独作りのライブレポートがあります
ランキング
ランキングに参加しています。 よかったら押して下さい。

にほんブログ村 ゲームブログ クイズゲーム・パズルゲームへ
にほんブログ村

人気ブログランキングへ
検索フォーム
RSSリンクの表示
リンク
QRコード
QR
投票
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。